import { NetworkType } from 'symbol-sdk';
export interface CertificatePair {
    privateKey: string;
    publicKey: string;
}
export interface ConfigAccount extends CertificatePair {
    address: string;
}
export interface NodeAccount {
    ssl: CertificatePair;
    node: CertificatePair;
    signing?: ConfigAccount;
    vrf?: ConfigAccount;
    voting?: ConfigAccount;
    roles: string;
    name: string;
    friendlyName: string;
}
export interface MosaicAccounts {
    name: string;
    id: string;
    type: 'currency' | 'harvest';
    accounts: ConfigAccount[];
}
export interface Addresses {
    nodes?: NodeAccount[];
    gateways?: ConfigAccount[];
    nemesisGenerationHashSeed: string;
    nemesisSigner?: ConfigAccount;
    networkType: NetworkType;
    mosaics?: MosaicAccounts[];
}
